Bug 217351 - Review Request: ipw2200-firmware - Firmware for Intel® PRO/Wireless 2200 network adaptors
Review Request: ipw2200-firmware - Firmware for Intel® PRO/Wireless 2200 netw...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 07:05 EST by Matthias Saou
Modified: 2014-03-16 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 06:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-11-27 07:05:06 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/
SRPM URL:
http://ftp.es6.freshrpms.net/pub/freshrpms/fedora/linux/6/ipw2200-firmware/
Description:
This package contains the firmware files required by the ipw2200 driver for
Linux. Usage of the firmware is subject to the terms and conditions contained
in /lib/firmware/LICENSE.ipw2200. Please read it carefully.

--

The content of this package seems to meet the "binary firmware" exception of the packaging guidelines, thus should be suitable for inclusion into Extras.
Comment 1 Bill Nottingham 2006-11-27 12:02:08 EST
License is not currently acceptable as posted.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-12-04 17:56:21 EST
Blocking FE-Legal, see bug #217350 for the discussion leading up to this.
Comment 3 Dominik 'Rathann' Mierzejewski 2007-02-13 14:05:48 EST
Green light from Bill, removing FE-Legal.
Comment 4 Matthias Saou 2007-02-14 07:13:05 EST
All set for a formal review, then. Updated packages here (minor cleanups) :
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware-3.0-4.src.rpm
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware.spec
Comment 5 Thorsten Leemhuis 2007-02-14 11:50:38 EST
Some comments from the rabble seats:

- I don't think including all the old firmware files is necessary just the
latest should be enough, as all recent kernels work with it

- The license text in some of the older releases IMHO is different -- shipping
just the latest license file might be problematic

- I'm wondering if it's wise to mark the license as %doc, as someone could use
"--excludedocs" with the package and won't get the license installed, which
might be problematic

- I'd in any case would package a symlink to the license as %doc that will get
installed in /usr/share/doc/%{name}-%{version}/, so users can find the license
(or in this case the symlink pointing to it) where they normally will search for it.

Some of the above issues might apply to the ipw2100 package, too
Comment 6 Matthias Saou 2007-02-14 12:12:02 EST
- You are right about not having to include all the old firmwares, but after
checking, FC5 (which I want to support) ships with ipw220 "git-1.0.8", which
requires the 2.4 firmware to work. Shipping the 2.4 firmware will allow someone
to simply install this package after an install and be able to "yum update" the
system, without having to also find a way to install the latest kernel. I'll cut
back to only 2.4 + 3.0 if that's ok with you. Once support for FC5 is gone, I'll
drop the 2.4 firmware.

- The LICENSE files from 2.4 and 3.0 are identical, I've just checked.

- I hadn't thought about --excludedocs so indeed the LICENSE file provided in
the firmware directory shouldn't be tagged as %doc since its presence is
mandatory. I'll make the symlink you suggest (in the ipw2100 package too).
Comment 8 Bill Nottingham 2007-02-22 23:52:24 EST
MUST items:

 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. ***

Per fedora-packaging, Group should probably be 'Firmware'.

 - License - OK
 - License field in spec matches ***

Per fedora-packaging, License should be 'Redistributable
firmware, no modification permitted'

 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: - OK

 - Package needs ExcludeArch - ***
This packge is noarch. However, it is only relevant for certain architectures.
Therefore, it may be helpful to add:
 
 ExclusiveArch: i386 x86_64

to tell composition tools to only include the package on those arches.

 - BuildRequires correct - OK
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK 
 - Package has correct buildroot - ***

It is suggested to change to:
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 - Package is code or permissible content. - OK
 - Packages %doc files don't affect runtime. - OK

 - Package compiles and builds on at least one arch. - OK
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - ***

source rpmlint:

E: ipw2200-firmware hardcoded-library-path in /lib/firmware/LICENSE.ipw2200.
W: ipw2200-firmware setup-not-quiet
E: ipw2200-firmware hardcoded-library-path in %{buildroot}/lib/firmware
E: ipw2200-firmware hardcoded-library-path in %{buildroot}/lib/firmware/
E: ipw2200-firmware hardcoded-library-path in
%{buildroot}/lib/firmware/LICENSE.ipw2200
E: ipw2200-firmware hardcoded-library-path in /lib/firmware/LICENSE.ipw2200
E: ipw2200-firmware hardcoded-library-path in /lib/firmware/LICENSE.ipw2200
E: ipw2200-firmware hardcoded-library-path in /lib/firmware/*.fw

hardcoded-library-path is OK for this package. Feel free to fix the setup warning.

binary rpmlint:

W: ipw2200-firmware symlink-should-be-relative
/usr/share/doc/ipw2200-firmware-3.0/LICENSE /lib/firmware/LICENSE.ipw2200

Why is that a symlink rather than a file?

 - final provides and requires are sane - OK

SHOULD Items:

 - Should build in mock. - OK
 - Should build on all supported archs - OK
 - Should function as described. - checked, WORKSFORME
 - Should have dist tag - ***

Feel free to add one.

 - Should package latest version - OK
Comment 9 Matthias Saou 2007-02-24 09:30:23 EST
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware-3.0-6.src.rpm
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware.spec

* Sat Feb 24 2007 Matthias Saou <http://freshrpms.net> 3.0-6
- Fix group and license tags.
- Add (partially useful) exclusivearch.
- Quiet %%setup.

Regarding the LICENSE symlink, it's because the one inside /lib/firmware is
mandatory, but not tagged as %doc, and will always be there, whereas the %doc
symlink could be excluded by --nodocs installs. I have no real preference, it
could be a full copy, but it would be kind of useless to have the license
content twice.

About the dist tag, it's clearly not needed since this package will be
hardlinked against various Fedora releases.
Comment 10 Bill Nottingham 2007-02-26 11:28:21 EST
Well, we have *how* many copies of the GPL in /usr/share/doc, but... I don't
care that much.
Comment 11 Matthias Saou 2007-02-26 11:50:12 EST
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware-3.0-7.src.rpm
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/ipw2200-firmware.spec

* Mon Feb 26 2007 Matthias Saou <http://freshrpms.net> 3.0-7
- Move from a symlink to using a copy for the LICENSE (cleaner and easier).

I've got one last doubt : Is the name of the package OK? I recall naming it like
this to have it as explicit as possible, ("firmware" instead of plain "fw"), but
now that the latest 3945 cousin is a "microcode", with the package/file called
"ucode", I'm not sure what do do...
1) Use "fw" for ipw2100/ipw2200 and "ucode" for ipw3945
2) Keep "firmware" for ipw2100/ipw2200 and use "microcode" for ipw3945
3) Keep "firmware" for ipw2100/ipw2200 and use "ucode" for ipw3945 (my choice)
4) Keep "firmware" for ipw2100/ipw2200 and also use it for ipw3945

...maybe this should be raised on the packagers mailing-list.
Comment 12 Ville Skyttä 2007-02-26 12:02:50 EST
My strongish opinion is that all firmware packages should be falled
$foo-firmware, no matter what the upstream distributables are named (with
additional case by case Provides: if they're seen useful).  And this is not only
about ipw2100/ipw2200/ipw3945 - there are already at least at76_usb-firmware,
zd1211-firmware, and alsa-firmware being submitted/reviewed; having a
tech-jargon-1337-speak-oddball foo-ucode in the mix for just one package would
sound silly to me.
Comment 13 Bill Nottingham 2007-02-26 12:10:49 EST
There's currently a discussion on -packaging about this. I suppose all reviews
are sort of held up on it. Hopefully we'll get it banged out this week.
Comment 14 Matthias Saou 2007-03-05 10:20:59 EST
http://ftp.es6.freshrpms.net/tmp/extras/ipw2200-firmware/

* Mon Mar  5 2007 Matthias Saou <http://freshrpms.net> 3.0-8
- Change group and license fields to reflect latest firmware guidelines.
Comment 15 Bill Nottingham 2007-03-19 12:01:34 EDT
Reassigning, I'd like to get this in before the freeze.

Issues in initial review in this bug addressed. Package meets approved firmware
packaging guidelines -> APPROVED.

Feel free to request fedora-cvs, and build once that's taken care of.
Comment 16 Matthias Saou 2007-03-19 12:04:59 EDT
New Package CVS Request
=======================
Package Name: ipw2200-firmware
Short Description: Firmware for Intel® PRO/Wireless 2200 network adaptors
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-5 EL-4
InitialCC: 
Comment 17 Dominik 'Rathann' Mierzejewski 2007-03-19 14:10:05 EDT
Thank you, Bill.
Comment 18 Matthias Saou 2007-03-22 06:46:54 EDT
All finished. Thanks to all involved!
FYI : I've rebuilt the package only for devel (F7) and it has been hardlinked to
all the other supported branches. It doesn't make as much sense as for a HUGE
noarch package, but since the package will probably not be updated very often
(if at all), I think it still does make enough.

Note You need to log in before you can comment on or make changes to this bug.